<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class PageFaMeineKurseUebersichtBLAK extends PageFaMeineKurseUebersicht
{
  
  protected function getWeitereTnKursInfo($pKnr, $pTnr)
  {
    static $dbwBelegung = null;
    if ($dbwBelegung == null) {
      $dbwBelegung = new DBWorkBelegung();
    }
    $pkteInfo = $dbwBelegung->getPunkteInfo4KnrTnr($pKnr, $pTnr);
    $result = '';
    $pkteStatus = BelegungOperations::getDisplayString4PunkteStatus($pTnr, $pKnr, $pkteInfo->pkt_ok_stat, $pkteInfo->status, $pkteInfo->punkte);

    
    static $dbwhlstatuskz = null;
    if (is_null($dbwhlstatuskz)) {
      $dbwhlstatuskz = new DBWorkHLStatusKZ(1, true);
      $dbwhlstatuskz->prepareListcompare();
    }

    $result .= '<span class="belegungsstatus_blak">' . CleanOperations::cleanStringForHtml($dbwhlstatuskz->getFieldbyID($pkteInfo->status, 'kennz', 'text')) . '</span>';

    $result .= '<span class="punkte"> Punkte:  ' . CleanOperations::cleanStringForHtml($pkteInfo->punkte) . '</span>' . "\n";

    if (!empty($pkteInfo->punkte)) {
      $result .= '<span class="pkt_ok_stat" title="' . BelegungOperations::getDisplayTitle4PunkteStatus($pkteStatus) . '">  '
                 . $pkteStatus . '</span>' . "\n";
    }

    if ($pkteInfo->pkt_ok_am != '') {
      $result .= '<span class="pkt_ok_am"> Punkte bestätigt am:  ' . CleanOperations::cleanStringForHtml($pkteInfo->pkt_ok_am) . '</span>' . "\n";
    }

    return $result;
  }

  public function getJSDeclarations()
  {
    return parent::getJSDeclarations();
  }
}